/*
 * jNPad v0.3 - jNPad's an Simple Text Editor written in Java
 *
 * Copyright (C) 2014-2017  rgs
 *
 * Require JDK 1.6 (or later)
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 *
 *
 * Info, Questions, Suggestions & Bugs Report to rgsevero@gmail.com
 */

package jnpad.ui.table;

import javax.swing.Icon;
import javax.swing.JTable;

/**
 * The Class IconTableCellRenderer.
 *
 * @version 0.3
 * @since   jNPad v0.1
 */
public class IconTableCellRenderer extends LabelTableCellRenderer {
  /** UID. */
  private static final long serialVersionUID = 2963128070873153476L;

  /**
   * Instantiates a new icon table cell renderer.
   */
  public IconTableCellRenderer() {
    super(CENTER, false);
  }

  /**
   * Instantiates a new icon table cell renderer.
   *
   * @param halignment int
   * @param valignment int
   */
  public IconTableCellRenderer(int halignment, int valignment) {
    super(halignment, valignment, false);
  }

  /**
   * Sets the value.
   *
   * @param table the table
   * @param value the value
   * @param row the row
   * @param column the column
   * @see jnpad.ui.table.LabelTableCellRenderer#setValue(javax.swing.JTable, java.lang.Object, int, int)
   */
  @Override
  protected void setValue(JTable table, Object value, int row, int column) {
    setIcon((value instanceof Icon) ? (Icon) value : null);
  }

}
